Class | Tk::BLT::Printer
In: | tk/lib/tkextlib/blt/win_printer.rb
Parent: | TkObject

### Methods

close enum get_attrs names new open set_attrs snap write write_with_title

### Constants

TkCommandNames | = | ['::blt::printer'.freeze].freeze

### Public Class methods

enum(attribute)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 18
        def self.enum(attribute)
          simplelist(tk_call('::blt::printer', 'enum', attribute))
        end

names(pat=None)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 22
        def self.names(pat=None)
          simplelist(tk_call('::blt::printer', 'names', pat))
        end

new(printer)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 32
        def initialize(printer)
          @printer_id = tk_call('::blt::printer', 'open', printer)
        end

open(printer)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 26
        def self.open(printer)
          self.new(printer)
        end

### Public Instance methods

close()

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 36
        def close
          tk_call('::blt::print', 'close', @printer_id)
          self
        end

get_attrs(var)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 40
        def get_attrs(var)
          tk_call('::blt::print', 'getattrs', @printer_id, var)
          var
        end

set_attrs(var)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 44
        def set_attrs(var)
          tk_call('::blt::print', 'setattrs', @printer_id, var)
          self
        end

snap(win)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 48
        def snap(win)
          tk_call('::blt::print', 'snap', @printer_id, win)
          self
        end

write(str)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 52
        def write(str)
          tk_call('::blt::print', 'write', @printer_id, str)
          self
        end

write_with_title(title, str)

[Source]

    # File tk/lib/tkextlib/blt/win_printer.rb, line 56
        def write_with_title(title, str)
          tk_call('::blt::print', 'write', @printer_id, title, str)
          self
        end

[Validate]